Get Contact by email
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
|
Email of contact |
string |
Required |
Body Parameters :
None.
Response Information
Resource Description :
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "bdd4ea08-09c9-4bd9-ab67-d63e552b4f4f",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "fd9974ea-53ae-4489-a0ee-962d03e0cc42",
"company_code": "sample string 5",
"company": {
"id": "f691aca5-b2ce-440f-bf60-aad5370a3c38",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-11-13T19:13:31.5025839+00:00",
"sales_territory_id": "9c452d6f-f00f-45d7-ba0f-fd36fca2de44",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "60e8a9c9-536a-4b17-8773-11f8add6508e",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "7ad514ce-163e-4711-b245-8b3437df5b8d",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "95bbaa8b-a2ec-48b0-875c-5853a13d05e9",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "21f00455-a4c7-4262-9d4b-dcbf20c88ae9",
"db_currency_id": "f75b50d3-2c8d-418a-9bd3-183ce2df6447",
"db_language_id": "2d49f5ed-183e-47bd-b5d2-d3124e0b9348",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-13T19:13:31.5025839+00:00"
},
"modified_dateutc": "2026-11-13T19:13:31.5025839+00:00"
},
"marketing_segment_id": "e5459a8e-b2a4-4427-aec5-59dbb7fc5c07",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "50aef7a2-e022-4361-85af-ddb0d001b095",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "915075a1-09eb-4f23-8e20-b7857b76e7a8",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "9c334bf5-9d84-4d0b-b378-9ba9d9edc0d9",
"db_country_code": "sample string 28",
"feelist_id": "85a98a1a-7734-4b94-96a8-c2e45a9f9ac3",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "b3ba4b17-b0c8-4337-bc94-3b118bdaf942",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "9910e713-2042-447c-a3a5-ff35a1c0b62f",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-13T19:13:31.5025839+00:00",
"db_currency_id": "2f7807a1-a66d-4812-9b36-5f128ddf68a0",
"db_currency_code": "sample string 10"
},
"company_type_id": "2baa5ca5-1138-4b7e-9ed2-19aa6e3bb835",
"company_type_name": "sample string 32",
"company_type": {
"id": "6a037a43-0de7-4a8a-b7b6-9d00246ea910",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "52370902-2b0a-4dbd-afb3-441ae2ebd92b",
"sales_organization_code": "sample string 5"
},
"db_language_id": "cf9e0879-0437-4f47-a768-a3fd4b1a8c5d",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "03bd0881-c923-43e6-9536-31a575799cac",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "594c10c2-3664-4290-a4f5-f2af7f94f895",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "ac99774b-50c5-4f5a-bdce-3df9a2bf7814",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-11-13T19:13:31.5025839+00:00"
},
"company_sector_id": "1c840da3-8038-4ae7-89d5-205e46248f5c",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "dc5033e3-9155-45f1-8209-ee992b1c48f4",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "1c47ad94-baf6-4f3b-8509-f611b4de4673",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "be0cb912-ae38-403d-afb0-14a677ea748b",
"account_manager_user_code": "sample string 56",
"company_status_id": "547489e0-aab9-4745-9078-fde511a6bd4f",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-11-13T19:13:31.5025839+00:00",
"id2": 60
},
"db_language_id": "455c44d9-4b39-46dd-b6b9-c16b82e293c9",
"db_language_code": "sample string 7",
"db_title_id": "5e2b3b62-5a3c-46d2-8a17-0e63b07ee386",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-11-13T19:13:31.5025839+00:00",
"create_date": "2026-11-13T19:13:31.5025839+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-11-13T19:13:31.5025839+00:00"
}